%global service tripleo-heat-templates

%{!?upstream_version: %global upstream_version %{version}}
%define kilo_version 0.8.7.dev312

Name:		openstack-tripleo-heat-templates
Summary:	Heat templates for TripleO
Version:	0.8.14
Release:	16%{?dist}
License:	ASL 2.0
Group:		System Environment/Base
URL:		https://wiki.openstack.org/wiki/TripleO
Source0:	https://tarballs.openstack.org/%{service}/%{service}-%{version}.tar.gz
Source1:	tripleo-heat-templates-%{kilo_version}.tar.gz

#patches_base=+1
Patch0001: 0001-Enable-pacemaker-by-default-for-RDO-Manager.patch
Patch0002: 0002-Enable-PrePuppet-and-PostPuppet-by-default.patch
Patch0003: 0003-Keystone-domain-for-Heat.patch
Patch0004: 0004-rhbz-1304587-Include-keystone-roles-admin.patch
Patch0005: 0005-OSP8-only-Default-UpgradeInitCommand-for-channel-swi.patch
Patch0006: 0006-RHEL-specific-patch-for-docker-registriy-downstream-.patch
Patch0007: 0007-Downstream-only-fix-for-VIP-upgrades-from-7.1.patch
Patch0008: 0008-add-logic-for-RHN-channel-updates-during-upgrade.patch
Patch0009: 0009-Set-UpdateIdentifier-for-upgrade-converge-to-prevent.patch
Patch0010: 0010-Don-t-restart-Pacemaker-managed-services-from-Puppet.patch
Patch0011: 0011-Add-quotes-around-the-cinder_iscsi_ip_address-value.patch
Patch0012: 0012-change-the-default-satellite-tools-rpm-repo.patch
Patch0013: 0013-compute-restart-OVS-agent-on-neutron.conf-changes.patch
Patch0014: 0014-Restart-haproxy-after-configuring-SSL-certs.patch
Patch0015: 0015-Add-removal-of-the-etc-resolv.conf.save-file-for-bug.patch
Patch0016: 0016-rhbz-1326025-fix-sat6-cdn-repo-name.patch
Patch0017: 0017-Disable-Nova-v3-API.patch
Patch0018: 0018-Add-EndpointMap-as-output.patch
Patch0019: 0019-Keep-setting-backend_host-to-hostgroup-for-rbd-backe.patch
Patch0020: 0020-Fix-Neutron-enable_-_agent-Hiera-parameters.patch
Patch0021: 0021-Retain-existing-ComputeHostnameFormat-when-upgrading.patch
Patch0022: 0022-downstream-only-Fix-UpgradeInitCommand-for-RHN.patch
Patch0023: 0023-Use-docker-cmd-hook.patch
Patch0024: 0024-Add-capabilities-map-metadata-file.patch
Patch0025: 0025-Tighten-the-access-rules-for-galera.patch
Patch0026: 0026-Minor-updates-might-fail-with-missing-MysqlClusterch.patch
Patch0027: 0027-OSP-8-only-Create-keystone-roles-and-admin-user-from.patch

BuildArch:	noarch
BuildRequires:  git
BuildRequires:	python2-devel
BuildRequires:	python-setuptools
BuildRequires:	python-d2to1
BuildRequires:	python-pbr

Requires:	PyYAML
Requires:   %{name}-kilo = %{version}-%{release}


%description
OpenStack TripleO Heat Templates is a collection of templates and tools for
building Heat Templates to do deployments of OpenStack.

%package kilo
Summary:    Heat templates for the Red Hat OpenStack Platform 7 release
Group:      System Environment/Base

Requires:	PyYAML

%description kilo
OpenStack TripleO Heat Templates is a collection of templates and tools for
building Heat Templates to do deployments of OpenStack.  This set of
templates is for use with the Red Hat OpenStack Platform 7 release.

%prep
%autosetup -n %{service}-%{version} -S git
%setup -T -n %{service}-%{version} -D -a 1

%build
%{__python2} setup.py build
cd %{service}-%{kilo_version}
%{__python2} setup.py build
cd ..

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
install -d -m 755 %{buildroot}/%{_datadir}/%{name}
cp -ar *.yaml %{buildroot}/%{_datadir}/%{name}
cp -ar puppet %{buildroot}/%{_datadir}/%{name}
cp -ar docker %{buildroot}/%{_datadir}/%{name}
cp -ar firstboot %{buildroot}/%{_datadir}/%{name}
cp -ar extraconfig %{buildroot}/%{_datadir}/%{name}
cp -ar environments %{buildroot}/%{_datadir}/%{name}
cp -ar network %{buildroot}/%{_datadir}/%{name}
if [ -d validation-scripts ]; then
  cp -ar validation-scripts %{buildroot}/%{_datadir}/%{name}
fi
if [ -d examples ]; then
  rm -rf examples
fi

cd %{service}-%{kilo_version}
install -d -m 755 %{buildroot}/%{_datadir}/%{name}/kilo
cp -ar *.yaml %{buildroot}/%{_datadir}/%{name}/kilo
cp -ar puppet %{buildroot}/%{_datadir}/%{name}/kilo
cp -ar firstboot %{buildroot}/%{_datadir}/%{name}/kilo
cp -ar extraconfig %{buildroot}/%{_datadir}/%{name}/kilo
cp -ar environments %{buildroot}/%{_datadir}/%{name}/kilo
cp -ar network %{buildroot}/%{_datadir}/%{name}/kilo
if [ -d validation-scripts ]; then
  cp -ar validation-scripts %{buildroot}/%{_datadir}/%{name}/kilo
fi
if [ -d examples ]; then
  rm -rf examples
fi
cd ..


%files
%doc README*
%license LICENSE
%{python2_sitelib}/tripleo_heat_merge
%{python2_sitelib}/tripleo_heat_templates-*.egg-info
%{_datadir}/%{name}
%{_bindir}/tripleo-heat-merge
%exclude %{_datadir}/%{name}/kilo

%files kilo
%{_datadir}/%{name}/kilo


%changelog
* Tue Jul 26 2016 Mike Burns <mburns@redhat.com> 0.8.14-16
- [OSP 8 only] Create keystone roles and admin user from t-h-t manifests (rhbz#1304587 rhbz#1357090 rhbz#1357090)
- Minor updates might fail with missing MysqlClustercheckPassword property rhbz#1358779

* Wed Jun 22 2016 Mike Burns <mburns@redhat.com> 0.8.14-15
- Update kilo templates to include fix for rhbz#1342652

* Fri Jun 10 2016 Mike Burns <mburns@redhat.com> 0.8.14-14
- Tighten the access rules for galera rhbz#1340208
- Add capabilities-map metadata file

* Thu May 12 2016 Mike Burns <mburns@.com> 0.8.14-13
- Update kilo patches to match OSP7
- Fix satellite registration for http or https (OSP7)
- Allow option to disable Swift ring management (OSP7)
- restart HAProxy after configuring SSL certs (OSP7)
- Add meta notify=true to rabbitmq resource (OSP7)

* Tue May 10 2016 Steve Linabery <slinaber@redhat.com> 0.8.14-11
- Use docker-cmd hook

* Fri Apr 15 2016 Steve Linabery <slinaber@redhat.com> 0.8.14-9
- [downstream only] Fix UpgradeInitCommand for RHN
- Retain existing ComputeHostnameFormat when upgrading older envs
- Fix Neutron enable_*_agent* Hiera parameters

* Thu Apr 14 2016 Mike Burns <mburns@redhat.com> 0.8.14-8
- Keep setting backend_host to 'hostgroup' for rbd backends rhbz#1326823
- Add EndpointMap as output rhbz#1320950
- Disable Nova v3 API rhbz#1291291
- rhbz#1326025 fix sat6/cdn repo name rhbz#1326025

* Thu Apr 07 2016 Mike Burns <mburns@redhat.com> 0.8.14-7
- Add removal of the /etc/resolv.conf.save file for +bug/1567004 rhbz#1324160

* Tue Apr 05 2016 Mike Burns <mburns@redhat.com> 0.8.14-6
- Restart haproxy after configuring SSL certs rhbz#1321588

* Thu Mar 31 2016 Mike Burns <mburns@redhat.com> 0.8.14-5
- compute: restart OVS agent on neutron.conf changes

* Thu Mar 31 2016 Mike Burns <mburns@redhat.com> 0.8.14-4
- change the default satellite tools rpm repo. rhbz#1275281
- Add quotes around the cinder_iscsi_ip_address value rhbz#1322336
- Don't restart Pacemaker-managed services from Puppet rhbz#1321132
- Set UpdateIdentifier for upgrade converge, to prevent services down rhbz#1321036 rhbz#1322855

* Thu Mar 31 2016 Mike Burns <mburns@redhat.com> 0.8.14-3
- add logic for RHN channel updates during upgrade rhbz#1322545

* Wed Mar 30 2016 Mike Burns <mburns@redhat.com> 0.8.14-2
- Fix "u'1:1000'" is not a list errors with OSP 7 overcloud rhbz#1320454

* Mon Mar 28 2016 James Slagle <jslagle@redhat.com> 0.8.14-1
- Update to 0.8.14

* Wed Mar 23 2016 James Slagle <jslagle@redhat.com> 0.8.13-1
- Update to 0.8.13

* Mon Mar 21 2016 James Slagle <jslagle@redhat.com> 0.8.12-2
- Updated patch "for Downstream only fix for VIP upgrades from 7.1"

* Wed Mar 16 2016 James Slagle <jslagle@redhat.com> 0.8.12-1
- Update to 0.8.12

* Tue Mar 15 2016 James Slagle <jslagle@redhat.com> 0.8.11-1
- Update to 0.8.11

* Wed Mar 09 2016 Mike Burns <mburns@redhat.com> 0.8.10-2
- update kilo templates for latest OSPd7 fixes

* Tue Mar 08 2016 James Slagle <jslagle@redhat.com> 0.8.10-1
- Update to 0.8.10

* Tue Mar 01 2016 James Slagle <jslagle@redhat.com> 0.8.9-1
- Update to 0.8.9

* Thu Feb 25 2016 James Slagle <jslagle@redhat.com> 0.8.8-2
- Drop 0002-Fix-nova.conf-and-neutron.conf-to-support-Nova-Neutr.patch

* Wed Feb 24 2016 James Slagle <jslagle@redhat.com> 0.8.8-1
- Update to 0.8.8

* Thu Feb 11 2016 Mike Burns <mburns@redhat.com> 0.8.7-12
- add old versions of the templates in a new subrpm

* Thu Feb 11 2016 Mike Burns <mburns@redhat.com> 0.8.7-11
- Enable Dell Storage Center iscsi Backends in Cinder
- Fixed typo in Dell Equallogic Cinder settings
- Enable Equallogic Backends in Cinder
- Revert "Enable Dell Storage Center iscsi Backends in Cinder"
- Revert "Enable Equallogic Backends in Cinder"

* Thu Feb 04 2016 Mike Burns <mburns@redhat.com> 0.8.7-10
- rhbz#1304587 - Include keystone::roles::admin

* Wed Feb 03 2016 Mike Burns <mburns@redhat.com> 0.8.7-9
- Keystone domain for Heat
- Revert "Keystone domain for Heat"

* Tue Feb 02 2016 Jon Schlueter <jschluet@redhat.com> 0.8.7-8
- Remove empty value for wsrep_notify_cmd rhbz#1304061

* Fri Jan 22 2016 James Slagle <jslagle@redhat.com> 0.8.7-7
- Keystone domain for Heat
- Enable PrePuppet and PostPuppet by default
- Enable pacemaker by default for RDO Manager
- Downstream only fix for VIP upgrades from 7.1
- Add update environment directory and sample file
- neutron: enable nova-event-callback by default
- Let Puppet update all packages on non-controllers
- Fix nova.conf and neutron.conf to support Nova/Neutron notifications
- Align template defaults with the client
- Add update yaml backward compatibe with PublicVirtualIP on ctlplane
- Enable Equallogic Backends in Cinder
- Enable Dell Storage Center iscsi Backends in Cinder

* Fri Jan 22 2016 marios <marios@redhat.com> 0.8.7-5
- Use KeystoneAdminApiVirtualIP for heat keystone domain admin setup
- rhbz#1235748 : Keystone domain for Heat
- Enable PrePuppet and PostPuppet by default
- Enable pacemaker by default for RDO Manager
- Downstream only fix for VIP upgrades from 7.1
- Add update environment directory and sample file
- neutron: enable nova-event-callback by default
- Let Puppet update all packages on non-controllers
- Fix nova.conf and neutron.conf to support Nova/Neutron notifications
- Align template defaults with the client
- Add update yaml backward compatibe with PublicVirtualIP on ctlplane
- Enable Equallogic Backends in Cinder
- Enable Dell Storage Center iscsi Backends in Cinder

* Fri Jan 22 2016 marios <marios@redhat.com> 0.8.7-4
- Update to 0.8.7

* Thu Jan 21 2016 Lon Hohberger <lon@redhat.com> 0.8.7-3
- Move patches around

* Thu Nov 19 2015 Mike Burns <mburns@redhat.com> 0.8.7-2
- Enable Equallogic Backends in Cinder
- Enable Dell Storage Center iscsi Backends in Cinder

* Mon Oct 19 2015 John Trowbridge <trown@redhat.com> - 0.8.7-1
- Use a source tarball for a git hash that has passed delorean CI for liberty release

* Mon Oct 20 2014 James Slagle <jslagle@redhat.com> 0.7.9-5
- Update patches

* Mon Oct 20 2014 James Slagle <jslagle@redhat.com> 0.7.9-4
- Update patches

* Wed Oct 15 2014 James Slagle <jslagle@redhat.com> 0.7.9-3
- Adding SNMP related parameters to storage templates
- Add converted version of block and object storage
- Compute and controller templates without merge.py

* Wed Oct 15 2014 James Slagle <jslagle@redhat.com> 0.7.9-2


* Wed Oct 15 2014 James Slagle <jslagle@redhat.com> 0.7.9-1
- Update to upstream 0.7.9

* Tue Oct 07 2014 James Slagle <jslagle@redhat.com> 0.7.7-3
- Adding SNMP related parameters to storage templates

* Mon Oct 06 2014 James Slagle <jslagle@redhat.com> 0.7.7-2
- Add converted version of block and object storage
- Compute and controller templates without merge.py

* Mon Sep 29 2014 James Slagle <jslagle@redhat.com> 0.7.7-1
- Update to upstream 0.7.7

* Mon Sep 15 2014 James Slagle <jslagle@redhat.com> 0.7.6-1
- Update to upstream 0.7.6

* Thu Jun 26 2014 James Slagle <jslagle@redhat.com> - 0.4.4-3
- Remove patch that swiched to qpid, we are back to rabbit

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Apr 14 2014 James Slagle <jslagle@redhat.com> - 0.4.4-1
- Bump to 0.4.4 and update patches

* Thu Apr 10 2014 James Slagle <jslagle@redhat.com> - 0.4.2-5
- Add patch to use IP address for MySQL connection

* Thu Mar 27 2014 James Slagle <jslagle@redhat.com> - 0.4.2-4
- Update patch 0001-Add-BlockStorageConfig0.patch to include NeutronNetworkType
  parameter.

* Wed Mar 26 2014 James Slagle <jslagle@redhat.com> - 0.4.2-3
- Update patches

* Tue Mar 25 2014 James Slagle <jslagle@redhat.com> - 0.4.2-2
- Add patch 0003-Expose-dnsmasq-options.patch

* Mon Mar 24 2014 James Slagle <jslagle@redhat.com> - 0.4.2-1
- Bump to 0.4.2.

* Fri Mar 21 2014 James Slagle <jslagle@redhat.com> - 0.4.1-1
- Rebase onto 0.4.1.
- Add patch to switch from rabbit to qpid as default message bus

* Wed Mar 12 2014 James Slagle <jslagle@redhat.com> - 0.4.0-2
- Remove python BuildRequires
- Switch __python to __python2 macro
- Switch python_sitelib to python2_sitelib macro
- Use doc macro for README.md, LICENSE, and examples
- Use name macro when copying templates in install

* Mon Feb 17 2014 James Slagle <jslagle@redhat.com> - 0.4.0-1
- Update spec file for Fedora Packaging

* Thu Sep 19 2013 Ben Nemec <bnemec@redhat.com> - 0.0.1-1
- First build of tripleo-heat-templates
